Bug 1876476 (CVE-2020-3902) - CVE-2020-3902 webkitgtk: Input validation issue leading to cross-site script attack
Summary: CVE-2020-3902 webkitgtk: Input validation issue leading to cross-site script ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-3902
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1877119 1877358
Blocks: 1876477
TreeView+ depends on / blocked
 
Reported: 2020-09-07 09:56 UTC by Tomas Hoger
Modified: 2021-02-16 19:21 UTC (History)
3 users (show)

Fixed In Version: webkitgtk 2.28.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-29 22:02:22 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4035 0 None None None 2020-09-29 20:46:34 UTC
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:04:05 UTC

Description Tomas Hoger 2020-09-07 09:56:19 UTC
WebKitGTK Security Advisory WSA-2020-0005 describes the following issue:

CVE-2020-3902

Impact: Processing maliciously crafted web content may lead to a cross site scripting attack. Description: An input validation issue was addressed with improved input validation.

Versions affected: WebKitGTK before 2.28.0 and WPE WebKit before 2.28.0.

Comment 1 Tomas Hoger 2020-09-07 09:56:23 UTC
External References:

https://webkitgtk.org/security/WSA-2020-0005.html

Comment 3 errata-xmlrpc 2020-09-29 20:46:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4035 https://access.redhat.com/errata/RHSA-2020:4035

Comment 4 Product Security DevOps Team 2020-09-29 22:02:22 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-3902

Comment 5 errata-xmlrpc 2020-11-04 01:04:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4451 https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.